{% extends 'base/base.html' %}

{% load static %}

{% block page_content %}
<div class="card shadow mb-4">
    <div class="row py-5">
        <div class="col-6 ml-4">
            <form class="form-inline" action="#">
                {% csrf_token %}
                <div class="col-xl-12 col-md-12 mb-12">

                    {% if obj %}
                    <div class="card border-left-warning shadow h-100">
                        {% else %}
                        <div class="card border-left-success shadow h-100">
                            {% endif %}

                            <div class="card-body">
                                <div class="row no-gutters align-items-center">
                                    <div class="col mr-2">
                                        <div class="text-xs font-weight-bold text-primary text-uppercase mb-1">
                                            {% if obj %} Buscar {% endif %} Persona
                                        </div>
                                        <div class="dropdown-divider"></div>

                                        <div class="col">
                                            <div class="card" style="width: 28rem;">
                                                <img src="{% static 'base/img/buscar_persona.svg' %}"
                                                    class="card-img-top" alt="..." height="120px" width="200px">
                                                <div class="card-body">
                                                    <h5 class="card-title text-md-center">Búsqueda de Personas - Pinos,
                                                        Zacatecas</h5>
                                                </div>
                                            </div>
                                        </div>

                                        <br>

                                        <!-- primer fila -->
                                        <div class="text-xs font-weight-bold text-warning text-uppercase mb-1">
                                            Primer Filtro
                                        </div>
                                        <div class="dropdown-divider"></div>

                                        <div class="row mt-3">
                                            <div class="col text-uppercase font-weight-bold">
                                                Curp:
                                                <div class="input-group mt-2">
                                                    <input type="search" name="curp" placeholder="Ingresa tu CURP.."
                                                        class="form-control" maxlength="18" minlength="18" required>
                                                </div>
                                            </div>
                                        </div>

                                        <div class="dropdown-divider"></div>
                                        <div class="row mt-3">
                                            <div class="col-2"></div>

                                            <div class="col-4">
                                                <button type="submit" class="btn btn-danger btn-block">
                                                    <span class="fa fa-search"></span> Buscar
                                                </button>
                                            </div>

                                            <div class="col-4">
                                                <a href="{% url 'bases:menu-personas' %}"
                                                    class="btn btn-info btn-block"><i
                                                        class="fas fa-window-close"></i><span> Cancelar</span>
                                                </a>
                                            </div>

                                            <div class="col-2"></div>
                                        </div>

                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
            </form>
        </div>
    </div>


    <!-- # datatable personas -->
    <!-- Card Body -->
    <div class="card-body">
       
        {% if obj %}
            <!-- listado con datatables -->
            <!-- table -->
            <table class="table table-bordered table-striped">
                <thead class="table-info" style="font-size: small;">
                    <th>CURP</th>
                    <th>NOMBRES</th>
                    <th>APELLIDO PATERNO</th>
                    <th>LOCALIDAD</th>   
                    <!-- <th>SECCIÓN</th>  -->
                    <th>ACCIONES</th>                    
                </thead>

                <tbody style="font-size: small;">
                                                                     
                    <tr>
                            
                        {% if obj.curp %}
                            <td>{{ obj.curp }}</td>
                        {% else %}
                            <td></td>
                        {% endif %}
                        
                        {% if obj.nombres %}
                            <td>{{ obj.nombres }}</td>
                        {% else %}
                            <td></td>
                        {% endif %}
                                                    
                        {% if obj.ap_paterno %}
                            <td>{{ obj.ap_paterno }}</td>
                        {% else %}
                            <td></td>
                        {% endif %}
                            
                        {% if obj.localidad %}
                            <td>{{ obj.localidad }}</td>
                        {% else %}
                            <td></td>
                        {% endif %}

                        <!-- {% if obj.localidad.seccion %}
                            <td>{{ obj.localidad.seccion }}</td>
                        {% else %}
                            <td></td>
                        {% endif %} -->

                        <td>
                            <a href="{% url 'apoyos:personas_edit' obj.id %}" class="btn btn-warning btn-circle"><i class="far fa-edit"></i></a>                           
                            <a href="{% url 'apoyos:personas_delete' obj.id %}" class="btn btn-danger btn-circle"><i class="fas fa-trash-alt"></i> </a>

                            <a href="{% url 'apoyos:apoyos-recibidos' obj.id %}" class="btn btn-success btn-icon-split btn-sm">
                                <span class="icon text-white-50">
                                    <i class="fas fa-list"></i>
                                </span>
                                <span class="text font-weight-bold">Ver apoyos</span>
                            </a>

                            <a href="{% url 'apoyos:agregar_apoyos' obj.id %}" class="btn btn-info btn-icon-split btn-sm">
                                <span class="icon text-white-50">
                                    <i class="fas fa-box-open"></i>
                                </span>
                                <span class="text font-weight-bold">Dar apoyo</span>
                            </a>
                        
                        </td>
                    </tr>   
                                       
                </tr>
                                                
                </tbody>

            </table>
            <!-- ./table -->
        
        {% elif not obj %}
            <div class="alert alert-info">No hay personas registradas con este nombre..</div> 
        {% endif %}                
        
    </div>
    <!-- # ./datatable personas -->
</div>

{% endblock page_content %}